<?php
    // Archivo obtener y enviar la información de los regionales que se compararán sus tickets

    // Utiliza el archivo compara que esta en la carperta de clases
    require('../clases/compara.php');

    // Valida si esta recibiendo el arreglo de regionales
    if(isset($_POST['regionales'])){
        // asignación de variables con los parametros que recibe
        $regional = [];
        $regional = $_POST['regionales'];
        $fechaini = $_POST['fechaini'];
        $fechafin = $_POST['fechafin'];
        $tipo = $_POST['tipo'];

        // procesa el arreglo de regionales y lo asigna en una variable 
        $regi = "";
        foreach($regional as $regio){
            $regi .= $regio.",";
        }
        $regi = substr($regi, 0, -1); //le quita el último caracter a la variable de regionales
        
        // manda llamar la función para obtener el total de los tickets abiertos y cerrados por regionales
        $compara = $compara->compara_id_compara($fechaini, $fechafin, $tipo, $regi);
        // valida si obtiene resultados o no la ejecución del query
        if($compara){
            $return['valid'] = true;            //llena el arreglo con la información para procesarlo en regional.js
            $return['contenido'] = $compara;
        }
        else{
            $return['valid'] = false;
        }
        // envía a regional.js el arreglo
        echo json_encode($return);
    }

?>