<?php  
//  session_destroy();
// session_start();
?>
<!DOCTYPE html>
<html lang="es">

<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <link rel="icon" href="img/si.png" type="image/x-icon">
    <meta name="author" content="Adolfo Anteliz">

    <title>Dashboard Tickets</title>

    <!-- Fuentes del template -->
    <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
    <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i"
        rel="stylesheet">

    <!-- Estilos del template -->
    <link href="css/sb-admin-2.min.css" rel="stylesheet">

</head>

<body class="bg-gradient-info">
    <!-- Nombre de la página para resaltar en el navbar referencia regis.js -->
    <input name="nomPag" id="nomPag" type="hidden" value="login"/>

    <div class="container">

        <!-- Cuerpo del login  -->
        <div class="row justify-content-center pt-5">

            <div class="col-xl-6 col-lg-6 col-md-6">

                <div class="card o-hidden border-0 shadow-lg my-5">
                    <div class="card-body p-0">
                        <!-- Contenedor -->
                        <div class="row">
                            <div class="col-12">
                                <div class="pb-5 pl-5 pr-5 pt-3">
                                    <div class="text-center">
                                    <img class="img" src="img/logoFarmasi.png" style="width:70%; height:auto;">
                                        <br><br>
                                        <h1 class="h2 text-gray-900 mb-4"><b>¡ Bienvenido !</b></h1>
                                    </div>
                                    <form class="user" id="login_form">
                                        <div class="form-group">
                                            <input type="email" class="form-control form-control-user"
                                                id="login_usuario" aria-describedby="emailHelp"
                                                placeholder="USUARIO" required>
                                        </div>
                                        <div class="form-group">
                                            <input type="password" class="form-control form-control-user"
                                                id="login_pass" placeholder="CONTRASEÑA" required>
                                        </div>
                                        <button type="submit" class="btn btn-warning btn-user btn-block">
                                            <span class="icon text-white-75">
                                                <i class="fas fa-sign-in-alt"></i>
                                            </span>
                                            <span class="text">ENTRAR</span>
                                        </button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>

        </div>
        
    </div>
    <?php
    // Inclusión de los modales de notificación
        include("Modal/CambioPass.php");
        include("Modal/exito.php");
        include("Modal/error.php");
        include("Modal/advertencia.php");
    ?>
    <!-- Bootstrap core JavaScript-->
    <script src="vendor/jquery/jquery.min.js"></script>
    <script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

    <!-- Core plugin JavaScript-->
    <script src="vendor/jquery-easing/jquery.easing.min.js"></script>

    <!-- Custom scripts for all pages-->
    <script src="js/sb-admin-2.min.js"></script>

    <!-- JS Principal -->
    <script src="js/regis.js"></script>

    <!-- JS de Login -->
    <script src="js/login.js"></script>

</body>

</html>